Bug 1177632 - SELinux is preventing revalidator5 from search access on the directory net.
Summary: SELinux is preventing revalidator5 from search access on the directory net.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 14:35 UTC by Major Hayden
Modified: 2015-01-30 23:55 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:55:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Major Hayden 2014-12-29 14:35:51 UTC
SELinux is preventing revalidator5 from search access on the directory net.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that revalidator5 should be allowed search access on the net directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep revalidator5 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:openvswitch_t:s0
Target Context                system_u:object_r:sysctl_net_t:s0
Target Objects                net [ dir ]
Source                        revalidator5
Source Path                   revalidator5
Port                          <Unknown>
Host                          [scrubbed]
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-103.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     [scrubbed]
Platform                      Linux [scrubbed]
                             3.17.7-300.fc21.x86_64 #1 SMP Wed Dec 17 03:08:44
                             UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-12-29 13:05:23 UTC
Last Seen                     2014-12-29 13:05:23 UTC
Local ID                      41ce8f3b-0607-474b-914c-c3f8583bb1f9

Raw Audit Messages
type=AVC msg=audit(1419858323.8:52): avc:  denied  { search } for  pid=1156 comm="revalidator5" name="net" dev="proc" ino=14340 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=dir permissive=0


Hash: revalidator5,openvswitch_t,sysctl_net_t,dir,search

------------------------------------------------------------------

# grep revalidator5 /var/log/audit/audit.log | audit2allow


#============= openvswitch_t ==============
allow openvswitch_t sysctl_net_t:dir search;

Comment 1 Daniel Walsh 2015-01-02 12:46:29 UTC
23a36fc2ba1b716bcf0cb0b752b3c206ed2715d9 fixes this in git.

Comment 2 Major Hayden 2015-01-05 14:13:46 UTC
It looks like file {read} is needed as well.  I'm testing this policy locally and will update this ticket once I verify that it works:

    module raxlive-openvswitch-sysctl 1.0;

    require {
        type sysctl_net_t;
        type openvswitch_t;
        class file read;
        class dir search;
    }

    #============= openvswitch_t ==============
    allow openvswitch_t sysctl_net_t:file read;
    allow openvswitch_t sysctl_net_t:dir search;

Comment 3 Major Hayden 2015-01-05 14:36:10 UTC
Made PR on GitHub:

  https://github.com/selinux-policy/selinux-policy/pull/10

Comment 4 Major Hayden 2015-01-15 15:44:41 UTC
Verified that the adjustments from the pull request[1] fix the remainder of the issue in this ticket.

[1] https://github.com/selinux-policy/selinux-policy/pull/10

Feel free to test/merge.

Comment 5 Fedora Update System 2015-01-27 16:49:52 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 6 Fedora Update System 2015-01-30 04:32:46 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-01-30 23:55:14 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.